> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Reaction

> Remove a previously added reaction from a message. <br/> *Added in v2.58.0*

#### Recipes

<AccordionGroup>
  <Accordion title="Remove a reaction from message">
    <Steps>
      <Step title="1. Set the message ID">
        Provide the `message_id` of the message from which you want to remove a reaction.

        ```curl {7} theme={null}
        curl -X DELETE \
        -H "Content-Type: application/json" \
        -H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>

      <Step title="2. Set the reaction type to remove">
        Provide the `name` of the reaction that should be removed.
        It must match the reaction previously added by the same user.

        ```curl {5} theme={null}
        curl -X DELETE \
        -H "Content-Type: application/json" \
        -H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>

      <Step title="3. As a result, the API returns a '200 OK' status code, indicating that the reaction was removed.">
        ```curl theme={null}
        curl -X DELETE \
        -H "Content-Type: application/json" \
        -H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>
    </Steps>
  </Accordion>

  <Accordion title="Remove a reaction from message with API key">
    <Steps>
      <Step title="1. Use 'Authorization' header to pass API key">
        ```curl {2} theme={null}
        curl -X GET \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>

      <Step title="2. Use 'On-Behalf-Of' header to pass user id">
        ```curl {3} theme={null}
        curl -X GET \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>

      <Step title="3. Set the message ID">
        Provide the `message_id` of the message from which you want to remove a reaction.

        ```curl {7} theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>

      <Step title="4. Set the reaction type to remove">
        Provide the `name` of the reaction that should be removed.
        It must match the reaction previously added by the same user.

        ```curl {5} theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>

      <Step title="5. As a result, the API returns a '200 OK' status code, indicating that the reaction was removed.">
        ```curl theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        -d '{
          "name": "like"
        }' \
        https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
        ```
      </Step>
    </Steps>
  </Accordion>
</AccordionGroup>

#### Path Parameters

<ParamField path="chat_message_id" type="string" required> ID of the message. Generated automatically by the server after message creation. </ParamField>

#### Body Parameters

<ParamField body="name" type="string" required>
  The type of reaction to remove.
  Examples: `"like"`, `"love"`, `"haha"`, `"angry"`.
</ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required> A user session token. See [Authentication](/reference/authentication) page to learn more about session tokens. Must be used either QB-Token or Authorization. </ParamField>
<ParamField header="Authorization" type="string" default="ApiKey {your_api_key}"> API key from Dashboard. Expected format: `ApiKey {your_api_key}`. Must be used either QB-Token or Authorization.</ParamField>
<ParamField header="On-Behalf-Of" type="string">User ID. The user ID of the user on whose behalf the request is being made.</ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    Reaction successfully removed
  </Accordion>

  <Accordion title="400">
    An error response

    <ResponseField name="errors" type="array of strings" />
  </Accordion>

  <Accordion title="404">
    An error response

    <ResponseField name="errors" type="array of strings" />
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE \
  -H "Content-Type: application/json" \
  -H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
  -d '{
    "name":"like"
  }' \
  https://api.quickblox.com/chat/Message/5d75327ba28f9a0f32cb0f99/reactions
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  Empty body
  ```

  ```json 400 theme={null}

  // Missing or invalid "message_id" parameter.
  {
    "errors": [
      "Invalid or missing \"message_id\" parameter."
    ]
  }

  // Missing or invalid "name" parameter.
  {
    "errors": [
      "Invalid or missing \"name\" parameter."
    ]
  }
  ```

  ```json 404 theme={null}
  // Reaction not found
  {
    "errors": [
      "Reaction not found for the specified user and message ID."
    ]
  }

  // Message not found
  {
    "errors": [
      "Message not found for the specified user and message ID."
    ]
  }
  ```
</ResponseExample>
